This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 596866 - Review Request: apache-commons-configuration - rename of jakarta-commons-configuration
Review Request: apache-commons-configuration - rename of jakarta-commons-conf...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: JakartaCommonsRename
  Show dependency treegraph
 
Reported: 2010-05-27 12:49 EDT by Stanislav Ochotnicky
Modified: 2010-10-05 05:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-31 04:32:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2010-05-27 12:49:58 EDT
This is a re-review of existing package!

Spec URL: http://sochotni.fedorapeople.org/apache-commons-configuration-1.6-1.fc14.src.rpm
SRPM URL: http://sochotni.fedorapeople.org/apache-commons-configuration.spec

Description: 
Configuration is a project to provide a generic Configuration
interface and allow the source of the values to vary. It
provides easy typed access to single, as well as lists of
configuration values based on a 'key'.
Comment 1 Alexander Kurtakov 2010-05-28 07:58:08 EDT
I'll take this one.
Comment 2 Alexander Kurtakov 2010-05-28 09:56:13 EDT
Review:

OK: rpmlint must be run on every package. Output:
apache-commons-configuration.noarch: W: spelling-error %description -l en_US subclassing -> sub classing, sub-classing, subclass
apache-commons-configuration.noarch: W: non-conffile-in-etc /etc/maven/fragments/apache-commons-configuration

Not a problem. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other
packages. 
OK: All filenames in rpm packages must be valid UTF-8. 
OK: I'm aware this is a rename and obsoletes/provides are good.

This package is APPROVED.
Comment 3 Stanislav Ochotnicky 2010-05-28 10:02:22 EDT
Thanks. Requesting CVS:

New Package CVS Request
=======================
Package Name: apache-commons-configuration
Short Description: Apache Commons Configuration
Owners: sochotni fnasser
Branches: 
InitialCC:
Comment 4 Kevin Fenzi 2010-05-29 01:54:22 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Stanislav Ochotnicky 2010-05-31 04:32:22 EDT
Package build in koji:
https://koji.fedoraproject.org/koji/buildinfo?buildID=175739

Thanks all, closing.

Note You need to log in before you can comment on or make changes to this bug.